Index: branches/slurm-drmaa-1.2.0/slurm_drmaa/job.c
===================================================================
--- branches/slurm-drmaa-1.2.0/slurm_drmaa/job.c	(revision 35)
+++ branches/slurm-drmaa-1.2.0/slurm_drmaa/job.c	(revision 37)
@@ -133,10 +133,8 @@
 					switch(job_info->job_array[0].state_reason)
 					{
-						#if SLURM_VERSION_NUMBER >= SLURM_VERSION_NUM(2,2,0)
 						case WAIT_HELD_USER:   /* job is held by user */
 							fsd_log_debug(("interpreting as DRMAA_PS_USER_ON_HOLD"));
 							self->state = DRMAA_PS_USER_ON_HOLD;
 							break;
-						#endif
 						case WAIT_HELD:  /* job is held by administrator */
 							fsd_log_debug(("interpreting as DRMAA_PS_SYSTEM_ON_HOLD"));
@@ -174,7 +172,5 @@
 				case JOB_TIMEOUT:
 				case JOB_NODE_FAIL:
-				#if SLURM_VERSION_NUMBER >= SLURM_VERSION_NUM(2,3,0)
 				case JOB_PREEMPTED:
-				#endif
 					fsd_log_debug(("interpreting as DRMAA_PS_FAILED"));
 					self->state = DRMAA_PS_FAILED;
Index: branches/slurm-drmaa-1.2.0/slurm_drmaa/util.c
===================================================================
--- branches/slurm-drmaa-1.2.0/slurm_drmaa/util.c	(revision 35)
+++ branches/slurm-drmaa-1.2.0/slurm_drmaa/util.c	(revision 37)
@@ -94,14 +94,8 @@
 	else if (strcasecmp(mail_type_str, "FAIL") == 0)
 		rc = MAIL_JOB_FAIL;
-#if SLURM_VERSION_NUMBER >= SLURM_VERSION_NUM(2,2,0)
 	else if (strcasecmp(mail_type_str, "REQUEUE") == 0)
 		rc = MAIL_JOB_REQUEUE;
-#endif
 	else if (strcasecmp(mail_type_str, "ALL") == 0)
-#if SLURM_VERSION_NUMBER >= SLURM_VERSION_NUM(2,2,0)
 		rc = MAIL_JOB_BEGIN | MAIL_JOB_END | MAIL_JOB_FAIL | MAIL_JOB_REQUEUE;
-#else
-		rc = MAIL_JOB_BEGIN | MAIL_JOB_END | MAIL_JOB_FAIL;
-#endif
 	else {
 		fsd_log_error(("Unknown mail type: %s", mail_type_str));
@@ -173,7 +167,5 @@
 	fsd_free(job_desc->work_dir);
 	fsd_free(job_desc->exc_nodes);
-#if SLURM_VERSION_NUMBER >= SLURM_VERSION_NUM(2,2,0)
 	fsd_free(job_desc->gres);
-#endif
 	
 	fsd_log_return(( "" ));
@@ -221,15 +213,8 @@
 			break;
 		case SLURM_NATIVE_MEM:
-		#if SLURM_VERSION_NUMBER < SLURM_VERSION_NUM(2,2,0)
-			if(job_desc->job_min_memory == NO_VAL ||  fsd_atoi(value) > (int)job_desc->job_min_memory) {
-				fsd_log_debug(("# job_min_memory = %s",value));
-				job_desc->job_min_memory = fsd_atoi(value);
-			}
-		#else
 			if(job_desc->pn_min_memory == NO_VAL ||  fsd_atoi(value) > (int)job_desc->pn_min_memory) {
 				fsd_log_debug(("# pn_min_memory = %s",value));
 				job_desc->pn_min_memory = fsd_atoi(value);
 			}
-		#endif
 			else { 
 				fsd_log_debug(("mem value defined lower or equal to mem-per-cpu or value defined before"));
@@ -237,15 +222,8 @@
 			break;
 		case SLURM_NATIVE_MEM_PER_CPU:
-		#if SLURM_VERSION_NUMBER < SLURM_VERSION_NUM(2,2,0)
-			if(job_desc->job_min_memory == NO_VAL ||  fsd_atoi(value) > (int)job_desc->job_min_memory) {
-				fsd_log_debug(("# job_min_memory = %s",value));
-				job_desc->job_min_memory = fsd_atoi(value);
-			}
-		#else
 			if(job_desc->pn_min_memory == NO_VAL ||  fsd_atoi(value) > (int)job_desc->pn_min_memory) {
 				fsd_log_debug(("# pn_min_memory (MEM_PER_CPU) = %s",value));
 				job_desc->pn_min_memory = fsd_atoi(value) | MEM_PER_CPU;
 			}
-		#endif
 			else { 
 				fsd_log_debug(("mem-per-cpu value defined lower or equal to mem or value defined before"));
@@ -253,11 +231,6 @@
 			break;
 		case SLURM_NATIVE_MINCPUS:
-		#if SLURM_VERSION_NUMBER < SLURM_VERSION_NUM(2,2,0)
-			fsd_log_debug(("# job_min_cpus = %s",value));
-			job_desc->job_min_cpus = fsd_atoi(value);
-		#else
 			fsd_log_debug(("# pn_min_cpus = %s",value));
 			job_desc->pn_min_cpus = fsd_atoi(value);
-		#endif
 			break;
 		case SLURM_NATIVE_NODELIST:
@@ -322,10 +295,6 @@
 			break;	
 		case SLURM_NATIVE_GRES:
-			#if SLURM_VERSION_NUMBER >= SLURM_VERSION_NUM(2,2,0)
 			fsd_log_debug(("# gres = %s",value));
 			job_desc->gres = fsd_strdup(value);
-			#else
-			fsd_log_error(("GRES not supported in this version of SLURM."));
-			#endif
 			break;
 		case SLURM_NATIVE_NO_KILL:
@@ -351,9 +320,5 @@
 		case SLURM_NATIVE_TMP:
 			fsd_log_debug(("# tmp = %s", value));
-				#if SLURM_VERSION_NUMBER >= SLURM_VERSION_NUM(2,3,0)
-					job_desc->pn_min_tmp_disk = fsd_atoi(value);
-					#else
-					job_desc->job_min_tmp_disk = fsd_atoi(value);
-					#endif
+                        job_desc->pn_min_tmp_disk = fsd_atoi(value);
 			break;
 		default:
Index: branches/slurm-drmaa-1.2.0/NEWS
===================================================================
--- branches/slurm-drmaa-1.2.0/NEWS	(revision 5)
+++ branches/slurm-drmaa-1.2.0/NEWS	(revision 37)
@@ -0,0 +1,2 @@
+1.2.0 
+For SLURM > 2.6
